package com.ydl.media.moduler.service

import android.app.Activity
import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.ydl.media.api.IMediaService
import com.ydl.media.audio.AudioPlayer
import com.ydl.media.view.PlayerFloatHelper

@Route(path = "/media/MediaService")
class MediaImpl :IMediaService {

    override fun init(context: Context?) {
    }

    override fun closeFloatView(activity: Activity) {
        activity.runOnUiThread(Runnable {
            try {
                if (PlayerFloatHelper.isShow(activity)) {
                    PlayerFloatHelper.removeView(activity)
                    AudioPlayer.get().stopPlayer()
                }
            } catch (e: Exception) {
                e.printStackTrace()
            }
        })
    }

}